OpenObserve Docs
ReferenceApiUsers

Update user

Updated View MarkdownOpen in ChatGPTOpen in Claude

Endpoint: PUT /api/{organization}/users/{user_email}

Request

{
	"first_name": "ming",
	"last_name": "xing",
	"old_password": "11111111",
	"new_password": "22222222",
	"role": "admin"
}

Description

Field nameData typeDefault valueDescription
first_namestring-first name
last_namestring-last name
old_passwordstring-current password. Required when you change your own password; omit it otherwise.
new_passwordstring-new password. Omit it if you don't want to change the password. A root user or admin can set it for another user without old_password.
rolestring-user role: admin, editor, viewer, user or service_account

Response

{
	"code": 200,
	"message": "User updated successfully"
}
Was this page helpful?

On this page